Skip to main content

Delete documents from index

DELETE 

/content-assistance/index

Removes one or more documents from the specified knowledge base index type. The documents are identified by their URLs.

  • If only urls is provided, the documents are fully removed from the index for all scopes.
  • To remove documents only for specific entities, additionally provide scopeIds (category concept IDs for CATEGORY / CATEGORY_SHARED, product IDs for PRODUCT, or Conditional Document IDs for CONDITIONAL / CONDITIONAL_SHARED) or breadcrumbs (category path strings for CATEGORY / CATEGORY_SHARED). This leaves the document indexed for other scopes it was associated with.

This operation is asynchronous and returns a task that can be monitored via the Tasks endpoint.

Request

Responses

OK — deletion task started